/**
 * Created by jmoutard on 19/07/16.
 */

'use strict';

angular.module('adf.electre')
    .service('loginService', [
        function () {
            /**
             * @description Log in the app. When logged in you can load your dashboards.
             */
            function login () {
                window.location = window.location.protocol + "//" + window.location.host + "/login";
            }
            /**
             * @description Log out the app.
             */
            function logout () {
                var win = window.open("https://oupiou.in2p3.fr/logout", "_blank", "fullscreen=no,location=no,menubar=no,status=no,titlebar=no", false);
                setTimeout(function () {
                    win.close();
                    window.location = window.location.protocol + "//" + window.location.host + "/logout";
                }, 80);
            }

            return { login: login, logout: logout };
        }
    ]);